<?php

namespace Drupal\alt_login;

use Drupal\Core\Plugin\DefaultPluginManager;

/**
 * Plugin manager Alt login methods.
 *
 * @todo we probably don't need this at all - just need to put the alter hook somewhere
 */
class AltLoginMethodManager extends DefaultPluginManager{

  /**
   * Constructor.
   */
  public function __construct($namespaces, $module_handler) {
    parent::__construct(
      'Plugin/AltLoginMethod',
      $namespaces,
      $module_handler,
      '\Drupal\alt_login\AltLoginMethodInterface',
      '\Drupal\alt_login\Annotation\AltLoginMethod'
    );
    // NB This is a protected method
    $this->alterInfo('alt_login_info');
  }

  /**
   * Get the names of the config items.
   *
   * @return array
   *   The names of all the plugins, keyed by ID.
   */
  public function getOptions() {
    foreach ($this->getDefinitions() as $id => $def) {
      // Is this translated?
      $names[$id] = $def['label'];
    }
    return $names;
  }
}

