<?php

namespace Drupal\cforge;

use Drupal\Core\Routing\RouteMatchInterface;
use Drupal\Core\Routing\AdminContext;

/**
 * Negotiate the current theme based on theme_switcher_rules rules.
 */
class ThemeNegotiator extends \Drupal\Core\Theme\ThemeNegotiator {

  /**
   * The route admin context to determine whether a route is an admin one.
   *
   * @var \Drupal\Core\Routing\AdminContext
   */
  protected $adminContext;
  protected $config;

    public function __construct(AdminContext $admin_context, $config_factory) {
    $this->adminContext = $admin_context;
    $this->config = $config_factory;
  }


  /**
   * {@inheritdoc}
   */
  public function applies(RouteMatchInterface $route_match) {
    //return true for mobile client only
    return \Drupal::service('mobile_detect')->isMobile();
  }

  /**
   * {@inheritdoc}
   */
  public function determineActiveTheme(RouteMatchInterface $route_match) {
    // return the mobile theme according to configuration
    return $this->config->get('cforge.settings')->get('mobile_theme');
  }

}
